import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const tagset = await client.tagsets.retrieve('id');console.log(tagset.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
tagset = moonbase.tagsets.retrieve("id")
puts(tagset)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
tagset = client.tagsets.retrieve(
"id",
)
print(tagset.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}
Tagsets
Retrieve a Tagset
Retrieves the details of an existing tagset.
GET
/
tagsets
/
{id}
JavaScript
import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const tagset = await client.tagsets.retrieve('id');console.log(tagset.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
tagset = moonbase.tagsets.retrieve("id")
puts(tagset)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
tagset = client.tagsets.retrieve(
"id",
)
print(tagset.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"Moonbase","colors":{"primary":"#155dfc","light":"#155dfc","dark":"#155dfc"},"logo":{"light":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861","dark":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/dark.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=86e5b56f5f16ddfa46525172b52a9e57"},"favicon":"https://mintcdn.com/moonbase/tG7_VarB-j-JYoLL/favicon.svg?fit=max\u0026auto=format\u0026n=tG7_VarB-j-JYoLL\u0026q=85\u0026s=b14b2756b09ff19a9e9d38991fa822aa","api":{"openapi":{"source":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml","directory":"api-reference"},"examples":{"languages":["javascript","ruby","python","go","curl"]}},"navbar":{"links":[{"href":"mailto:support@moonbase.ai","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/moonbaseai","linkedin":"https://linkedin.com/company/moonbaseai"}},"seo":{"metatags":{"robots":"noindex"}},"integrations":{"posthog":{"apiKey":"phc_FrjDVmjzOx0un0e7dgMg9R6mMX2GbvzSMvLYWC5jUT4"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moonbase","hasAudioNarration":false,"actualSubdomain":"moonbase","customDomains":["docs.moonbase.ai"],"gitSource":{"type":"github","owner":"moonbaseai","repo":"moonbase0","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a517ea5f5f16bde6e19de83","collectionId":"3908b917-4852-40c8-8db5-3c6cb89bc682","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9260fb6c76232801087df:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":205},{"language":"default","tag":"Collections","count":37},{"language":"default","tag":"Library","count":23},{"language":"default","tag":"Webhooks","count":23},{"language":"default","tag":"Events","count":18},{"language":"default","tag":"Marketing","count":13},{"language":"default","tag":"Inboxes","count":13},{"language":"default","tag":"Items","count":8},{"language":"default","tag":"Messages","count":7},{"language":"default","tag":"Core Concepts","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/tagsets/get","slug":"/api-reference/tagsets/get","pageMetadata":{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","description":"Retrieves the details of an existing tagset.","href":"/api-reference/tagsets/get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the details of an existing tagset.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","description":"Retrieves the details of an existing tagset.","href":"/api-reference/tagsets/get"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a tagset","description":"Retrieves the details of an existing tagset.","parameters":["21703425-7c8d-4aa0-9897-9ab380355d95"],"responses":{"200":"c1a69abe-c516-423a-8b6a-6375e39a1b82","400":"ce1bc5ec-4367-48fc-88e4-e4faf2e39051","401":"7d99c896-21c2-40ce-9670-0987da7a2a33","403":"ef3acc52-a9a9-47dc-848f-52142d409833","404":"b0efcec1-5f70-40d5-9444-d387a0f0312f","429":"c6f8c162-dddc-4334-8335-4be17bd0dd21","500":"83eab176-a035-453d-9339-397c13eb2971","503":"016f124d-0952-4f38-986f-a7363d80098b"},"tags":["Library"],"x-codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst tagset = await client.tagsets.retrieve('id');\n\nconsole.log(tagset.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\ntagset = client.tagsets.retrieve(\n \"id\",\n)\nprint(tagset.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttagset, err := client.Tagsets.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", tagset.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\ntagset = moonbase.tagsets.retrieve(\"id\")\n\nputs(tagset)"}],"method":"get","type":"path","servers":["7a9e75d9-6b0b-44c3-8610-e4a9e3520de1"],"security":["148a69f3-74d8-46da-a68b-227d2b56d42f"],"path":"/tagsets/{id}","baseUrlOptions":["https://api.moonbase.ai/v0"],"title":"Retrieve a tagset","codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst tagset = await client.tagsets.retrieve('id');\n\nconsole.log(tagset.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\ntagset = client.tagsets.retrieve(\n \"id\",\n)\nprint(tagset.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttagset, err := client.Tagsets.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", tagset.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\ntagset = moonbase.tagsets.retrieve(\"id\")\n\nputs(tagset)"}],"requestExampleLanguages":["javascript","ruby","python","go","bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"21703425-7c8d-4aa0-9897-9ab380355d95":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"The ID of the tagset to retrieve.","uniqueKey":"","typeLabel":"string"},"description":"The ID of the tagset to retrieve.","explode":true}},"responses":{"c1a69abe-c516-423a-8b6a-6375e39a1b82":{"description":"Successful response.","content":{"application/json":{"schema":{"title":"Tagset","description":"A Tagset is a collection of `Tag` objects whose tags can be applied to conversations, calls, and meetings.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `tagset` for this object.","type":"string","const":"tagset","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"description":"The name of the tagset.","type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"tags":{"description":"A list of `Tag` objects belonging to this tagset.","type":"array","items":{"title":"Tag","description":"A Tag is a label that can be applied to supported resources (such as conversations, calls, and meetings) for organization and filtering.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `tag` for this object.","type":"string","const":"tag","isRequired":true,"uniqueKey":"tags.items.[INDEX].type","typeLabel":"string"},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"tags.items.[INDEX].id","typeLabel":"string"},"name":{"description":"The name of the tag.","type":"string","isRequired":true,"uniqueKey":"tags.items.[INDEX].name","typeLabel":"string"},"color":{"type":"string","enum":["amber","blue","cyan","emerald","fuchsia","green","indigo","lime","lunar","orange","pink","purple","red","rose","sky","teal","violet","yellow"],"description":"The color for the tag.","isRequired":true,"uniqueKey":"tags.items.[INDEX].color","typeLabel":"enum\u003cstring>"}},"required":["name","type","id","color"],"uniqueKey":"tags.items.[INDEX]","typeLabel":"Tag · object"},"isRequired":true,"uniqueKey":"tags","typeLabel":"Tag · object[]"},"associations":{"description":"Where a tagset is available (`calls`, `meetings`, or `inbox` with an inbox ID).","type":"array","items":{"oneOf":[{"type":"object","title":"Calls","description":"Makes this tagset available for calls.","required":["type"],"properties":{"type":{"description":"String representing the association type. Always `calls` for call tagset associations.","type":"string","const":"calls","isRequired":true,"uniqueKey":"associations.items.[INDEX].oneOf.0.type","typeLabel":"string"}},"uniqueKey":"associations.items.[INDEX].oneOf.0","typeLabel":"Calls · object"},{"type":"object","title":"Meetings","description":"Makes this tagset available for meetings.","required":["type"],"properties":{"type":{"description":"String representing the association type. Always `meetings` for meeting tagset associations.","type":"string","const":"meetings","isRequired":true,"uniqueKey":"associations.items.[INDEX].oneOf.1.type","typeLabel":"string"}},"uniqueKey":"associations.items.[INDEX].oneOf.1","typeLabel":"Meetings · object"},{"type":"object","title":"Inbox","description":"Makes this tagset available in an inbox.","required":["type","id"],"properties":{"type":{"description":"String representing the association type. Always `inbox` for inbox tagset associations.","type":"string","const":"inbox","isRequired":true,"uniqueKey":"associations.items.[INDEX].oneOf.2.type","typeLabel":"string"},"id":{"description":"Unique identifier of the inbox this tagset is assigned to.","type":"string","isRequired":true,"uniqueKey":"associations.items.[INDEX].oneOf.2.id","typeLabel":"string"}},"uniqueKey":"associations.items.[INDEX].oneOf.2","typeLabel":"Inbox · object"}],"uniqueKey":"associations.items.[INDEX]","typeLabel":"Calls · object | Meetings · object | Inbox · object"},"isRequired":true,"uniqueKey":"associations","typeLabel":"(Calls · object | Meetings · object | Inbox · object)[]"},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"description":{"description":"An optional description of the tagset's purpose.","type":"string","uniqueKey":"description","typeLabel":"string"}},"required":["name","type","id","tags","associations","created_at","updated_at"],"uniqueKey":"","typeLabel":"Tagset · object"},"examples":{"Get tagset":{"title":"Get tagset","value":{"id":"1CLJt2v5aNd8G5SGzEaeVU","type":"tagset","name":"Support","description":"Tags for our support inbox","tags":[{"id":"1CLJt2v5pkpkAnvdgXfEcF","type":"tag","name":"Requires Action","color":"red"},{"id":"1CLJt2v6592N5WQzNpjpj2","type":"tag","name":"UX","color":"violet"},{"id":"1CLJt2v6KXDyzDuM57pQqo","type":"tag","name":"Bug","color":"orange"},{"id":"1CLJt2v6ZuRbtwPhmQtzxa","type":"tag","name":"Billing","color":"amber"},{"id":"1CLJt2v6pHdDoet4Thyb5M","type":"tag","name":"QBR","color":"blue"},{"id":"1CLJt2v74fpqiNNRA14BC8","type":"tag","name":"Feature Request","color":"purple"},{"id":"1CLJt2v7K42Td5rmrJ8mJu","type":"tag","name":"Login Issue","color":"rose"},{"id":"1CLJt2v7ZSE5XoM8YbDMRg","type":"tag","name":"Refund","color":"emerald"},{"id":"1CLJt2v7opRhSWqVEtHwYT","type":"tag","name":"Pricing","color":"cyan"},{"id":"1CLJt2v84CdKMEKqwBNXfE","type":"tag","name":"Meeting","color":"indigo"},{"id":"1CLJt2v8JapwFwpCdUT7n1","type":"tag","name":"VIP","color":"fuchsia"}],"associations":[],"created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z"}}},"exampleType":"examples"}},"exampleType":"examples"},"ce1bc5ec-4367-48fc-88e4-e4faf2e39051":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"400","title":"Bad Request","detail":"The request could not be understood due to malformed syntax or invalid parameters."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"7d99c896-21c2-40ce-9670-0987da7a2a33":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"401","title":"Unauthorized","detail":"Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""}]}}},"exampleType":"examples"}},"exampleType":"examples"},"ef3acc52-a9a9-47dc-848f-52142d409833":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"403","title":"Forbidden"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"b0efcec1-5f70-40d5-9444-d387a0f0312f":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Tagset not found":{"title":"Tagset not found","value":{"type":"errors","errors":[{"type":"error","status":"404","title":"Not Found"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"c6f8c162-dddc-4334-8335-4be17bd0dd21":{"description":"Too Many Requests","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"429","title":"Too Many Requests"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"83eab176-a035-453d-9339-397c13eb2971":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"500","title":"Internal Server Error"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"016f124d-0952-4f38-986f-a7363d80098b":{"description":"Service Unavailable","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"503","title":"Service Unavailable","detail":"The service is temporarily unavailable, please try again later."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"148a69f3-74d8-46da-a68b-227d2b56d42f":{"bearer":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]}}},"servers":{"7a9e75d9-6b0b-44c3-8610-e4a9e3520de1":{"url":"https://api.moonbase.ai/v0"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Moonbase API key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml"},"subdomain":"moonbase","siteName":"Moonbase","title":"Retrieve a Tagset - Moonbase","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-23T02:25:15.801Z","originalFileLocation":"api-reference/tagsets/get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the details of an existing tagset.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a Tagset - Moonbase\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the details of an existing tagset.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Moonbase\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.moonbase.ai/api-reference/tagsets/get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Tagsets\u0026amp;title=Retrieve+a+Tagset\u0026amp;description=Retrieves+the+details+of+an+existing+tagset.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=0370238b63e5eb4b36759b42978f90a0ecb85b1a11b2a45daf14c81c1b82866f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a Tagset - Moonbase\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the details of an existing tagset.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Tagsets\u0026amp;title=Retrieve+a+Tagset\u0026amp;description=Retrieves+the+details+of+an+existing+tagset.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=0370238b63e5eb4b36759b42978f90a0ecb85b1a11b2a45daf14c81c1b82866f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#155dfc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.moonbase.ai/api-reference/tagsets/get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/tagsets/get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.moonbase.ai/#organization\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.moonbase.ai#website\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.moonbase.ai/api-reference/tagsets/get#webpage\",\"url\":\"https://docs.moonbase.ai/api-reference/tagsets/get\",\"name\":\"Retrieve a Tagset\",\"description\":\"Retrieves the details of an existing tagset.\",\"dateModified\":\"2026-01-23T02:25:15.801Z\",\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.moonbase.ai/api-reference/tagsets/get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.moonbase.ai/api-reference/tagsets/get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.moonbase.ai/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Library\",\"item\":\"https://docs.moonbase.ai/api-reference/files/list\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Tagsets\",\"item\":\"https://docs.moonbase.ai/api-reference/tagsets/list\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Retrieve a Tagset\",\"item\":\"https://docs.moonbase.ai/api-reference/tagsets/get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.moonbase.ai/api-reference/tagsets/get#apireference\",\"headline\":\"Retrieve a Tagset\",\"name\":\"Retrieve a Tagset\",\"description\":\"Retrieves the details of an existing tagset.\",\"url\":\"https://docs.moonbase.ai/api-reference/tagsets/get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.moonbase.ai/api-reference/tagsets/get#webpage\"},\"dateModified\":\"2026-01-23T02:25:15.801Z\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Moonbase\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Moonbase","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":"/home"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/api-reference/introduction"}]},{"group":"Core Concepts","pages":[{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-reference/libraries"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/api-reference/authentication"},{"title":"Errors","sidebarTitle":"Errors","href":"/api-reference/error-handling"},{"title":"Rate Limits","sidebarTitle":"Rate Limits","href":"/api-reference/rate-limiting"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/api-reference/pagination"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/webhook-reference/getting-started"}]},{"group":"API Reference","pages":[{"group":"Search","pages":[{"title":"Search Items","openapi":"POST /search","sidebarTitle":"Search Items","href":"/api-reference/search"}]},{"group":"Collections","pages":[{"group":"Collections","pages":[{"title":"List Collections","openapi":"GET /collections","sidebarTitle":"List Collections","href":"/api-reference/collections/list"},{"title":"Retrieve a Collection","openapi":"GET /collections/{id}","sidebarTitle":"Retrieve a Collection","href":"/api-reference/collections/get"},{"title":"Create a Collection","openapi":"POST /collections","sidebarTitle":"Create a Collection","href":"/api-reference/collections/create"},{"title":"Update a Collection","openapi":"PATCH /collections/{id}","sidebarTitle":"Update a Collection","href":"/api-reference/collections/update"},{"title":"Delete a Collection","openapi":"DELETE /collections/{id}","sidebarTitle":"Delete a Collection","href":"/api-reference/collections/delete"},{"title":"Retrieve a Field","openapi":"GET /collections/{collection_id}/fields/{id}","sidebarTitle":"Retrieve a Field","href":"/api-reference/collections/get-field"},{"title":"Create a Field","openapi":"POST /collections/{collection_id}/fields","sidebarTitle":"Create a Field","href":"/api-reference/collections/create-field"},{"title":"Update a Field","openapi":"PATCH /collections/{collection_id}/fields/{id}","sidebarTitle":"Update a Field","href":"/api-reference/collections/update-field"},{"title":"Delete a Field","openapi":"DELETE /collections/{collection_id}/fields/{id}","sidebarTitle":"Delete a Field","href":"/api-reference/collections/delete-field"}]},{"group":"Items","pages":[{"title":"List Items","openapi":"GET /collections/{collection_id}/items","sidebarTitle":"List Items","href":"/api-reference/items/list"},{"title":"Search Collection Items","openapi":"POST /collections/{collection_id}/items/search","sidebarTitle":"Search Collection Items","href":"/api-reference/items/search"},{"title":"Retrieve an Item","openapi":"GET /collections/{collection_id}/items/{id}","sidebarTitle":"Retrieve an Item","href":"/api-reference/items/get"},{"title":"Create an Item","openapi":"POST /collections/{collection_id}/items","sidebarTitle":"Create an Item","href":"/api-reference/items/create"},{"title":"Update an Item","openapi":"PATCH /collections/{collection_id}/items/{id}","sidebarTitle":"Update an Item","href":"/api-reference/items/update"},{"title":"Create or Update an Item","openapi":"POST /collections/{collection_id}/items/upsert","sidebarTitle":"Upsert an Item","href":"/api-reference/items/upsert"},{"title":"Merge Collection Items","openapi":"POST /collections/{collection_id}/items/merge","sidebarTitle":"Merge Collection Items","href":"/api-reference/items/merge"},{"title":"Delete an Item","openapi":"DELETE /collections/{collection_id}/items/{id}","sidebarTitle":"Delete an Item","href":"/api-reference/items/delete"}]},{"group":"Views","pages":[{"title":"List Views","openapi":"GET /views","sidebarTitle":"List Views","href":"/api-reference/views/list"},{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","href":"/api-reference/views/get"},{"title":"Create a View","openapi":"POST /views","sidebarTitle":"Create a View","href":"/api-reference/views/create"},{"title":"Update a View","openapi":"PATCH /views/{id}","sidebarTitle":"Update a View","href":"/api-reference/views/update"},{"title":"Delete a View","openapi":"DELETE /views/{id}","sidebarTitle":"Delete a View","href":"/api-reference/views/delete"},{"title":"List Items","openapi":"GET /views/{id}/items","sidebarTitle":"List Items","href":"/api-reference/views/list-items"}]},{"group":"Funnels","pages":[{"title":"List Funnels","openapi":"GET /funnels","sidebarTitle":"List Funnels","href":"/api-reference/funnels/list"},{"title":"Retrieve a Funnel","openapi":"GET /funnels/{id}","sidebarTitle":"Retrieve a Funnel","href":"/api-reference/funnels/get"},{"title":"Create a Funnel","openapi":"POST /funnels","sidebarTitle":"Create a Funnel","href":"/api-reference/funnels/create"},{"title":"Update a Funnel","openapi":"PATCH /funnels/{id}","sidebarTitle":"Update a Funnel","href":"/api-reference/funnels/update"},{"title":"Delete a Funnel","openapi":"DELETE /funnels/{id}","sidebarTitle":"Delete a Funnel","href":"/api-reference/funnels/delete"}]}]},{"group":"Inboxes","pages":[{"group":"Inboxes","pages":[{"title":"List Inboxes","openapi":"GET /inboxes","sidebarTitle":"List Inboxes","href":"/api-reference/inboxes/list"},{"title":"Retrieve an Inbox","openapi":"GET /inboxes/{id}","sidebarTitle":"Retrieve an Inbox","href":"/api-reference/inboxes/get"}]},{"group":"Conversations","pages":[{"title":"List Conversations","openapi":"GET /inbox_conversations","sidebarTitle":"List Conversations","href":"/api-reference/inbox-conversations/list"},{"title":"Retrieve a Conversation","openapi":"GET /inbox_conversations/{id}","sidebarTitle":"Retrieve a Conversation","href":"/api-reference/inbox-conversations/get"}]},{"group":"Messages","pages":[{"title":"List Messages","openapi":"GET /inbox_messages","sidebarTitle":"List Messages","href":"/api-reference/inbox-messages/list"},{"title":"Retrieve a Message","openapi":"GET /inbox_messages/{id}","sidebarTitle":"Retrieve a Message","href":"/api-reference/inbox-messages/get"},{"title":"Create a Draft","openapi":"POST /inbox_messages","sidebarTitle":"Create a Draft","href":"/api-reference/inbox-messages/create"},{"title":"Update a Draft","openapi":"PATCH /inbox_messages/{id}","sidebarTitle":"Update a Draft","href":"/api-reference/inbox-messages/update"},{"title":"Delete a Draft","openapi":"DELETE /inbox_messages/{id}","sidebarTitle":"Delete a Draft","href":"/api-reference/inbox-messages/delete"},{"title":"Add an attachment","openapi":"POST /inbox_messages/{inbox_message_id}/attachments","sidebarTitle":"Add an attachment","href":"/api-reference/inbox-messages/add-attachment"},{"title":"Remove an attachment","openapi":"DELETE /inbox_messages/{inbox_message_id}/attachments/{id}","sidebarTitle":"Remove an attachment","href":"/api-reference/inbox-messages/remove-attachment"}]}]},{"group":"Marketing","pages":[{"group":"Programs","pages":[{"title":"List Programs","openapi":"GET /programs","sidebarTitle":"List Programs","href":"/api-reference/programs/list"},{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","href":"/api-reference/programs/get"}]},{"group":"Program Templates","pages":[{"title":"List Program Templates","openapi":"GET /program_templates","sidebarTitle":"List Program Templates","href":"/api-reference/program-templates/list"},{"title":"Retrieve a Program Template","openapi":"GET /program_templates/{id}","sidebarTitle":"Retrieve a Program Template","href":"/api-reference/program-templates/get"}]},{"group":"Program Messages","pages":[{"title":"Send a Message","openapi":"POST /program_messages","sidebarTitle":"Send a Message","href":"/api-reference/program-messages/create"}]},{"group":"Forms","pages":[{"title":"List Forms","openapi":"GET /forms","sidebarTitle":"List Forms","href":"/api-reference/forms/list"},{"title":"Retrieve a Form","openapi":"GET /forms/{id}","sidebarTitle":"Retrieve a Form","href":"/api-reference/forms/get"},{"title":"Create a Form","openapi":"POST /forms","sidebarTitle":"Create a Form","href":"/api-reference/forms/create"},{"title":"Update a Form","openapi":"PATCH /forms/{id}","sidebarTitle":"Update a Form","href":"/api-reference/forms/update"},{"title":"Delete a Form","openapi":"DELETE /forms/{id}","sidebarTitle":"Delete a Form","href":"/api-reference/forms/delete"}]},{"group":"Unsubscribes","pages":[{"title":"List Unsubscribes","openapi":"GET /unsubscribes","sidebarTitle":"List Unsubscribes","href":"/api-reference/unsubscribes/list"},{"title":"Create an Unsubscribe","openapi":"POST /unsubscribes","sidebarTitle":"Create an Unsubscribe","href":"/api-reference/unsubscribes/create"},{"title":"Delete an Unsubscribe","openapi":"DELETE /unsubscribes/{email}","sidebarTitle":"Delete an Unsubscribe","href":"/api-reference/unsubscribes/delete"}]}]},{"group":"Library","pages":[{"group":"Files","pages":[{"title":"List Files","openapi":"GET /files","sidebarTitle":"List Files","href":"/api-reference/files/list"},{"title":"Retrieve a File","openapi":"GET /files/{id}","sidebarTitle":"Retrieve a File","href":"/api-reference/files/get"},{"title":"Upload a File","openapi":"POST /files","sidebarTitle":"Upload a File","href":"/api-reference/files/create"},{"title":"Delete a File","openapi":"DELETE /files/{id}","sidebarTitle":"Delete a File","href":"/api-reference/files/delete"}]},{"group":"Meetings","pages":[{"title":"List Meetings","openapi":"GET /meetings","sidebarTitle":"List Meetings","href":"/api-reference/meetings/list"},{"title":"Retrieve a Meeting","openapi":"GET /meetings/{id}","sidebarTitle":"Retrieve a Meeting","href":"/api-reference/meetings/get"},{"title":"Update a Meeting","openapi":"PATCH /meetings/{id}","sidebarTitle":"Update a Meeting","href":"/api-reference/meetings/update"}]},{"group":"Notes","pages":[{"title":"List Notes","openapi":"GET /notes","sidebarTitle":"List Notes","href":"/api-reference/notes/list"},{"title":"Retrieve a Note","openapi":"GET /notes/{id}","sidebarTitle":"Retrieve a Note","href":"/api-reference/notes/get"},{"title":"Create a Note","openapi":"POST /notes","sidebarTitle":"Create a Note","href":"/api-reference/notes/create"},{"title":"Update a Note","openapi":"PATCH /notes/{id}","sidebarTitle":"Update a Note","href":"/api-reference/notes/update"},{"title":"Delete a Note","openapi":"DELETE /notes/{id}","sidebarTitle":"Delete a Note","href":"/api-reference/notes/delete"}]},{"group":"Calls","pages":[{"title":"List Calls","openapi":"GET /calls","sidebarTitle":"List Calls","href":"/api-reference/calls/list"},{"title":"Retrieve a Call","openapi":"GET /calls/{id}","sidebarTitle":"Retrieve a Call","href":"/api-reference/calls/get"},{"title":"Create a Call","openapi":"POST /calls","sidebarTitle":"Create a Call","href":"/api-reference/calls/create"},{"title":"Create or Update a Call","openapi":"POST /calls/upsert","sidebarTitle":"Upsert a Call","href":"/api-reference/calls/upsert"}]},{"group":"Activities","pages":[{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","href":"/api-reference/activities/list"},{"title":"Retrieve an Activity","openapi":"GET /activities/{id}","sidebarTitle":"Retrieve an Activity","href":"/api-reference/activities/get"}]},{"group":"Tagsets","pages":[{"title":"List Tagsets","openapi":"GET /tagsets","sidebarTitle":"List Tagsets","description":"Returns a list of your tagsets.","href":"/api-reference/tagsets/list"},{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","href":"/api-reference/tagsets/get"},{"title":"Create a Tagset","openapi":"POST /tagsets","sidebarTitle":"Create a Tagset","description":"Create a new tagset.","href":"/api-reference/tagsets/create"},{"title":"Update a Tagset","openapi":"PATCH /tagsets/{id}","sidebarTitle":"Update a Tagset","href":"/api-reference/tagsets/update"},{"title":"Delete a Tagset","openapi":"DELETE /tagsets/{id}","sidebarTitle":"Delete a Tagset","href":"/api-reference/tagsets/delete"}]}]},{"group":"Webhooks","pages":[{"group":"Endpoints","pages":[{"title":"List Endpoints","openapi":"GET /webhook_endpoints","sidebarTitle":"List Endpoints","href":"/api-reference/webhook-endpoints/list"},{"title":"Retrieve an Endpoint","openapi":"GET /webhook_endpoints/{id}","sidebarTitle":"Retrieve an Endpoint","href":"/api-reference/webhook-endpoints/get"},{"title":"Create an Endpoint","openapi":"POST /webhook_endpoints","sidebarTitle":"Create an Endpoint","href":"/api-reference/webhook-endpoints/create"},{"title":"Update an Endpoint","openapi":"PATCH /webhook_endpoints/{id}","sidebarTitle":"Update an Endpoint","href":"/api-reference/webhook-endpoints/update"},{"title":"Delete an Endpoint","openapi":"DELETE /webhook_endpoints/{id}","sidebarTitle":"Delete an Endpoint","href":"/api-reference/webhook-endpoints/delete"}]},{"group":"Events","pages":[{"title":"Call Occurred","openapi":"webhook activity/call_occurred","sidebarTitle":"Call Occurred","href":"/webhook-reference/activities/call-occurred"},{"title":"File Created","openapi":"webhook activity/file_created","sidebarTitle":"File Created","href":"/webhook-reference/activities/file-created"},{"title":"Form Submitted","openapi":"webhook activity/form_submitted","sidebarTitle":"Form Submitted","href":"/webhook-reference/activities/form-submitted"},{"title":"Inbox Message Sent","openapi":"webhook activity/inbox_message_sent","sidebarTitle":"Inbox Message Sent","href":"/webhook-reference/activities/inbox-message-sent"},{"title":"Item Created","openapi":"webhook activity/item_created","sidebarTitle":"Item Created","href":"/webhook-reference/activities/item-created"},{"title":"Item Mentioned","openapi":"webhook activity/item_mentioned","sidebarTitle":"Item Mentioned","href":"/webhook-reference/activities/item-mentioned"},{"title":"Item Merged","openapi":"webhook activity/item_merged","sidebarTitle":"Item Merged","href":"/webhook-reference/activities/item-merged"},{"title":"Meeting Held","openapi":"webhook activity/meeting_held","sidebarTitle":"Meeting Held","href":"/webhook-reference/activities/meeting-held"},{"title":"Meeting Scheduled","openapi":"webhook activity/meeting_scheduled","sidebarTitle":"Meeting Scheduled","href":"/webhook-reference/activities/meeting-scheduled"},{"title":"Note Created","openapi":"webhook activity/note_created","sidebarTitle":"Note Created","href":"/webhook-reference/activities/note-created"},{"title":"Program Message Bounced","openapi":"webhook activity/program_message_bounced","sidebarTitle":"Program Message Bounced","href":"/webhook-reference/activities/program-message-bounced"},{"title":"Program Message Clicked","openapi":"webhook activity/program_message_clicked","sidebarTitle":"Program Message Clicked","href":"/webhook-reference/activities/program-message-clicked"},{"title":"Program Message Complained","openapi":"webhook activity/program_message_complained","sidebarTitle":"Program Message Complained","href":"/webhook-reference/activities/program-message-complained"},{"title":"Program Message Failed","openapi":"webhook activity/program_message_failed","sidebarTitle":"Program Message Failed","href":"/webhook-reference/activities/program-message-failed"},{"title":"Program Message Opened","openapi":"webhook activity/program_message_opened","sidebarTitle":"Program Message Opened","href":"/webhook-reference/activities/program-message-opened"},{"title":"Program Message Sent","openapi":"webhook activity/program_message_sent","sidebarTitle":"Program Message Sent","href":"/webhook-reference/activities/program-message-sent"},{"title":"Program Message Shielded","openapi":"webhook activity/program_message_shielded","sidebarTitle":"Program Message Shielded","href":"/webhook-reference/activities/program-message-shielded"},{"title":"Program Message Unsubscribed","openapi":"webhook activity/program_message_unsubscribed","sidebarTitle":"Program Message Unsubscribed","href":"/webhook-reference/activities/program-message-unsubscribed"}]}]}]}]}]},"basePath":"","title":"Retrieve a Tagset - Moonbase","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}